PROGRAM Ranges
   IMPLICIT NONE
   
   INTEGER :: Number, Range

   SELECT CASE (Number)
      CASE ( :-10 , 10: )
         Range = 1
      CASE ( -5:-3 , 6:9 )
         Range = 2
      CASE ( -2:2 )
         Range = 3
      CASE ( 3,5 )
         Range = 4
      CASE ( 4 )
         Range = 5
      CASE DEFAULT
         Range = 6
   END SELECT

END PROGRAM Ranges
